3.3 upgrade successes

Do not post support requests, bug reports or feature requests. Discuss phpBB here. Non-phpBB related discussion goes in General Discussion!
Scam Warning
Post Reply
brainsys
Registered User
Posts: 59
Joined: Mon Sep 20, 2004 8:03 pm

3.3 upgrade successes

Post by brainsys »

Inevitably this forum is going to see a fair few failures for various reasons which can be offputting so I thought I would start a topic recording successes (or near successes) so folks can see what works and possible potholes we have managed to step over.

I've done two forums so far from 3.2.8 to 3.3.0 and from php 7.2 to 7.3 on a Debian Jessie server.
I used the automatic update option and did wget to NOT the forum root - possibly important!
Unzipped and replaced (not copied over) vendor directory and added the install directory

NB at this stage both forums gave an 'error 500' rather than giving a disabled message which gave me a scare.

Netherthelesss the forum/install script was working. Only issue is it does not delete old files - I had to do this manually:
Tip: cut'n'paste the list into, say, files.txt and on Linux execute in forum root: xargs --arg-file="files.txt" rm
Then wget the download files to forum root and: tar -xvf updated

Keep clicking the install script and success!

I now have to update my Prosilver child themes. They were based on 3.2 and I tried the original the breadcrumbs on the menu were screwed. Moving them to the new Prosilver sorted that. Also the NotifyAdmin extension threw an error and had to be disabled in the ACP 'Customise' tab. Reported in the Ext forum section.

Early days but all looks good. I needed to rush this so I could move my forums to a Debian Buster server which only supports php 7.3 natively and didn't want to do the Surley repository workaround (as I had done on the Jessie server).

Any more good news stories?

Stuart
wilff
Registered User
Posts: 32
Joined: Mon Mar 08, 2004 9:28 pm

Re: 3.3 upgrade successes

Post by wilff »

I have upgraded from 3.2.8 to 3.30 using the changed files route, although I did put pro silver style back on as default and disabled tapatalk plugin, database updated fine went straight back in and changed styles as there was a 3.3.0 release for the style im using.

Enabled Tapatalk plugin in and had errors so turned it off again as they need to update their plugin for 3.3

Backed the lot up again in 3.3.0 and good to go again

I have always used the changed files route for years without any problems as i dont run many extras, just careful using ftp transfer to merge folders and overwrite newer files
xmrdo
Registered User
Posts: 59
Joined: Fri Jul 19, 2019 11:10 pm
Location: B'ham, UK

Re: 3.3 upgrade successes

Post by xmrdo »

may I ask whats the procedure?
I have 3.2.8 on php 7.0 I can't go to php 7.3 (error 500 for ever... luckily I am using a "test" forum of my forum
instead to screw up the normal)

so f chicken-egg issue in my case -as the friggin phpbb 3.2.x dont work with php 7.3 that needs to be installed for the phpbb 3.3
darn
Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 26812
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: 3.3 upgrade successes

Post by Paul »

phpBB 3.3 just needs php 7.1, so you just update to that and upgrade to phpBB 3.3. If you have more questions, please post in the support forums :)
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development
User avatar
warmweer
Jr. Extension Validator
Posts: 5325
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: 3.3 upgrade successes

Post by warmweer »

wilff wrote:
Tue Jan 07, 2020 8:50 pm
I have always used the changed files route for years without any problems as i dont run many extras, just careful using ftp transfer to merge folders and overwrite newer files
I've never encountered problems with the Changed files or Full package.
What I don't understand is why people would use the autoupdate route for an upgrade from 3.2 (or lower) to 3.3 since all the files need to be replaced anyway (and one shouldn't even think about autodiffing).
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
User avatar
mamba
Registered User
Posts: 538
Joined: Thu Jan 16, 2003 7:59 pm
Location: Australia

Re: 3.3 upgrade successes

Post by mamba »

Changed files only → manually compare some files to put back in my mods → upload → run database update → done.

Had to tweak colours.css is all.
Using 3.3, PHP version 7.4, MySQL 5.6, Host: HawkHost shared Linux, Style: Prosilver
User avatar
thecaretaker1
Registered User
Posts: 99
Joined: Tue Dec 30, 2014 8:38 pm

Re: 3.3 upgrade successes

Post by thecaretaker1 »

Tried using the automatic upgrade option 4 times but it wouldn't have it (3.2.8 to 3.30). Used the full package and it worked a dream with these instructions: https://www.phpbb.com/support/docs/en/3 ... upgrade32/

I only had one issue with the Default Avatar Extended extension but thanks to 3Di he quickly resolved this with a quick and dirty fix.

I had an issue with smilies showing correctly. This was due to using square brackets [Smile.png] [Angry.png] for the code which the newer version didn't like. Changed those square brackets to minus signs and all are working now. Older posts that had the square brackets didn't show. But I manually used 'find and replace' on the MySQL file to rename all the older smily codes, reuploaded it and all are showing again now.

No other issues to report. ;)
User avatar
BlackPandaBear
Registered User
Posts: 43
Joined: Tue Oct 09, 2018 3:50 pm
Location: Belgium
Contact:

Re: 3.3 upgrade successes

Post by BlackPandaBear »

It was a success for me with the 3.2.9 to 3.3 automatic update on a test forum but it was vital that I deactivated the following extension otherwise it would crash:

pico/jbreu's Reputation System

And then those extensions would show an error in the ACP:

Last Post Avatar
Post Merging

That was it, the rest went flawlessly and was working on my local 7.4.1 php version.

I reported it in the support forum of those extensions.

Edit: I managed to fix the above with the help of the members of the forum, I now have a fully functioning phpbb 3.3 live forum with all its extensions :).
Last edited by BlackPandaBear on Wed Jan 08, 2020 7:54 pm, edited 4 times in total.
My phpbb forum: www.impactofhairloss.be - A safe haven for hair loss sufferers to discuss how balding affected them and hopefully find solutions.
brainsys
Registered User
Posts: 59
Joined: Mon Sep 20, 2004 8:03 pm

Re: 3.3 upgrade successes

Post by brainsys »

brainsys wrote:
Tue Jan 07, 2020 2:47 pm
Also the NotifyAdmin extension threw an error and had to be disabled in the ACP 'Customise' tab. Reported in the Ext forum section.
Now fixed: https://www.phpbb.com/customise/db/exte ... pic/211816
3 forums upgraded, 1 to go!

Stuart
Peter77sx
Registered User
Posts: 3260
Joined: Wed Nov 09, 2005 2:51 pm

Re: 3.3 upgrade successes

Post by Peter77sx »

I'm glad to see so many not have issues updating. I'm always fucking something up.. too old for this shit, man. I wish I had over an hour a day to deal with this BS but I don't. On a positive note, 3.2.8 files play nice with 3.3.0 database.
User avatar
Mick
Support Team Member
Support Team Member
Posts: 22750
Joined: Fri Aug 29, 2008 9:49 am
Location: Watching cricket probably.

Re: 3.3 upgrade successes

Post by Mick »

Peter77sx wrote:
Wed Jan 08, 2020 3:44 pm
3.2.8 files play nice with 3.3.0 database
You’re kidding right?
"The more connected we get the more alone we become" - Kyle Broflovski©
brainsys
Registered User
Posts: 59
Joined: Mon Sep 20, 2004 8:03 pm

Re: 3.3 upgrade successes

Post by brainsys »

I needed to migrate 3.2.8 databases from live forums on one server into new 3.3.0 forums on another. I noticed during the oriiginal auto-update there was an option to just update the database so that seemed ideal. Sadly the Install program won't play if the core files have already been updated so I had to set up a dummy 3.2.8 forum attached to the original database and then it worked. Simply edit the config.php file to point at the updated databse.

Four done and one I had forgotten to go ...

Stuart
Post Reply

Return to “phpBB Discussion”